********************************************************** 
* This routine looks for a valid check character at the 
* end of the trimmed string.  If an invalid read is 
* discovered it will make a bunch of noise and erase the 
* field so the label can be scanned again. 
* 
* Written by Jon Walker 
* Released to the public domain. 
* 
 
parameters mstring 
private b,ok
 
b=trim(mstring) 
b=mod43(left(b,len(b)-1))= right(b,1) 
 
if not b
   set bell to 817,5 
   ?? chr(7) 
   set bell to 212,5 
   ?? chr(7) 
   set bell to 
   keyboard chr(25) 
endif 
 
return b 
